#include <BlockRegistry/BlockRegistry.hpp>
#include <Widget/ItemIcon/ItemIcon.hpp>
#include <Widget/Label/Label.hpp>
#include <Widget/Layout/Center/Center.hpp>
#include <Widget/Layout/CompoundWidget/Deck/Deck.hpp>
#include <Widget/Layout/CompoundWidget/DocColorTag/DocColorTag.hpp>
#include <Widget/Layout/Frame/Frame.hpp>
#include <Widget/Layout/Row/Row.hpp>
#include <Widget/Panel/Panel.hpp>

DocColorTag::DocColorTag(const std::vector<std::string> &args, glm::vec4 color)
{
    if (args.size() != 2)
    {
        addChildren(new Label("<!!!>", Color::error));
        return;
    }

    addChildren(new Label(args[1], color));
}